﻿@using App.Erp.Providers
@using Core.Constant
@using Resources
@model Core.Model.Security.LoginModel
@{
    ViewBag.Title = Globals.Login;
    Layout = "~/Views/Shared/_LayoutLogin.cshtml";
}
<br />
<br />
<br />
<br />
<br />
<div class="loginblock block">
    <div class="text-center">
        <br />
        <h2>QUÊN MẬT KHẨU</h2>
        <br />
        <a class="hotline">@Actions.Hotline @SettingProvider.GetValue(Settings.HOT_LINE)</a>
    </div>
    @using (Html.BeginForm("ResetPassword", "Account", FormMethod.Post, new { role = "form" }))
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary()
        <div class="form-group">
            <label>Email</label>
            @Html.TextBoxFor(m => m.Email, new { @class = "form-control" })
            @Html.ValidationMessageFor(m => m.Email, "")
        </div>
        <div class="no-padding">
            <label>Nhập mã bảo mật</label>
            <img src="data:image/png;base64,@ViewBag.Image" style="height: 35px; display: inline-block; margin: 0 0 5px 5px;" />
            <br />
            @Html.TextBoxFor(m => m.Capcha, new { @class = "form-control" })
        </div>
        <div class="text-center">
            <br />
            <button id="btnSubmit" type="button" class="btn btn-primary">Lấy mật khẩu</button>
            <a href="@Url.Action("Login")" class="btn">Đăng nhập</a>
        </div>
    }
    <br />
</div>
<script>
    $("#btnSubmit").click(function() {
        $("form").validate();
        if (!$("form").valid()) {
            return;
        }
        $.post($("form").attr('action'), $('form').serialize(), function(data) {
                alert(data.message);
                if (data.success) {
                    window.location.href = "/";
                } else {
                    window.location.reload();
                }
            }, 'json'
        ).error(function (e) {
            console.log(e);
            alert("Đã có lỗi xảy ra!");
        });
    });
</script>